<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>


        <variable
            name="viewModel"
            type="com.lukouguoji.aerologic.page.gnj.unload.detail.GnjUnloadDetailsViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="航班："
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.dataBean.flightDesc}"
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <!--<TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="航班号："
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.dataBean.fno}"
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />-->

            <View
                android:layout_width="40dp"
                android:layout_height="0dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="航程："
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.dataBean.voyage}"
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <View
                android:layout_width="40dp"
                android:layout_height="0dp" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="单证交接："
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.handover}"
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <View
                android:layout_width="40dp"
                android:layout_height="0dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="货物类型："
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.dataBean.cargoTypeName}"
                android:textColor="@color/text_normal"
                android:textSize="22sp"
                android:textStyle="bold" />



        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/gray" />


        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/srl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                itemLayoutId="@{viewModel.itemLayoutId}"
                viewHolder="@{viewModel.itemViewHolder}"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_gnj_unload_car" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@color/color_bottom_layout"
            android:gravity="center_vertical"
            android:paddingHorizontal="15dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text='@{"合计：" + viewModel.dataBean.carNum +"辆"}'
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold" />

        </LinearLayout>

    </LinearLayout>
</layout>